# Droppy - File sharing
# Port: 8989
# Self-hosted file sharing

version: '3.8'
services:
  droppy:
    container_name: droppy
    image: silverwind/droppy
    ports:
      - 8989:8989
    volumes:
      - /root/docker/droppy/config/:/config
      - /root/docker/droppy/files/:/files
    restart: unless-stopped
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:8989"]
      interval: 30s
      timeout: 10s
      retries: 5
